from typing import Literal, Tuple
import en_core_web_lg
import pt_core_news_lg
import es_core_news_lg

NLP_DICT = dict(en=en_core_web_lg.load(),
                es=es_core_news_lg.load(), pt=pt_core_news_lg.load())


def convert(lang: Literal['en', 'es', 'pt'], sentence: str) -> Tuple[float, ...]:
    nlp = NLP_DICT[lang]
    doc = nlp(sentence)
    return tuple(map(float, doc.vector))
